<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * This class provides Facebook Authentication
 *
 * @package    OAuth
 * @category   Plugins
 * @author     Deon George
 * @copyright  (c) 2009-2013 Open Source Billing
 * @license    http://dev.osbill.net/license.html
 */

class OAuth_Plugin_Facebook extends OAuth_Plugin {
	public function html() {
		// @todo Needs to work with https
		Script::factory()
			->type('src')
			->data('http://connect.facebook.net/en_US/all.js');

		Script::factory()
			->type('stdin')
			->data('
$(document).ready(function(){
	window.fbAsyncInit = function() {
		// Initialize the Facebook JavaScript SDK
		FB.init({
			appId: '.$this->oo->app_id.',
			xfbml: false,
			status: true,
			cookie: true,
		});

		// Check if the current user is logged in and has authorized the app
		//FB.getLoginStatus(checkLoginStatus);
	}

	$(".btn-facebook").click(function() {
		FB.login(checkLoginStatus, {scope:"email"});

		// We stop the click, but pick up the href in the javascript
		return false;
	});
});
		');

		Script::factory()
			->type('file')
			->data('media/js/facebook.js');
	}
}
?>
